import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _FSStatFSResult extends _NSObject {
    static alloc(): _FSStatFSResult;
    static new(): _FSStatFSResult;
    init(): _FSStatFSResult;
    /**
     * Creates an statistics result instance, using the given file system type name. - Parameters fileSystemTypeName: A type name for the file system. The maximum allowed length is `MFSTYPENAMELEN`, including the terminating `NUL` character.
     */
    initWithFileSystemTypeName$(fileSystemTypeName: _NSString): _FSStatFSResult;
    /**
     * A property for the volume's block size, in bytes. This value defaults to `4096`. Zero isn't a valid block size.
     */
    blockSize(): number;
    setBlockSize$(value: number): void;
    /**
     * A property for the optimal block size with which to perform I/O. For best performance, specify an `ioSize` that's an even multiple of ``blockSize``.
     */
    ioSize(): number;
    setIoSize$(value: number): void;
    /** A property for the volume's total data block count. */
    totalBlocks(): number;
    setTotalBlocks$(value: number): void;
    /**
     * A property for the number of free blocks available to a non-superuser on the volume.
     */
    availableBlocks(): number;
    setAvailableBlocks$(value: number): void;
    /** A property for the number of free blocks in the volume. */
    freeBlocks(): number;
    setFreeBlocks$(value: number): void;
    /** A property for the number of used blocks in the volume. */
    usedBlocks(): number;
    setUsedBlocks$(value: number): void;
    /** A property for the total size, in bytes, of the volume. */
    totalBytes(): number;
    setTotalBytes$(value: number): void;
    /** A property for the amount of space available to users, in bytes, in the volume. */
    availableBytes(): number;
    setAvailableBytes$(value: number): void;
    /** A property for the amount of free space, in bytes, in the volume. */
    freeBytes(): number;
    setFreeBytes$(value: number): void;
    /** A property for the amount of used space, in bytes, in the volume. */
    usedBytes(): number;
    setUsedBytes$(value: number): void;
    /** A property for the total number of file slots in the volume, */
    totalFiles(): number;
    setTotalFiles$(value: number): void;
    /** A property for the total number of free file slots in the volume. */
    freeFiles(): number;
    setFreeFiles$(value: number): void;
    /**
     * A property for the file system's subtype or flavor. Match this value to the `FSPersonalities`'s `FSSubType` attribute, if it exists within the `EXAppExtensionAttributes` dictionary of the module's `Info.plist`.
     */
    fileSystemSubType(): number;
    setFileSystemSubType$(value: number): void;
    /**
     * A property for the file system type name. Match this value to the `FSShortName` attribute within the `EXAppExtensionAttributes` dictionary of the module's `Info.plist`. The maximum allowed length is `MFSTYPENAMELEN`, including the terminating `NUL` character.
     */
    fileSystemTypeName(): _NSString;
}
export interface _FSStatFSResult extends _NSSecureCoding {
}
